# Class StatementFacade.StatementProxy

java.lang.Object
org.apache.tomcat.jdbc.pool.StatementFacade.StatementProxy

All Implemented Interfaces:
  `InvocationHandler`

Enclosing class:
  `StatementFacade`

protected class StatementFacade.StatementProxy extends Object implements InvocationHandler
Class to measure query execute time.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`closed`
`protected Object`
`delegate`
`protected final String`
`query`

## Constructor Summary

Constructors
Constructor
Description
`StatementProxy(Object parent, String query)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`Object`
`invoke(Object proxy, Method method, Object[] args)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### closed

protected boolean closed

### delegate

protected Object delegate

### query

protected final String query

## Constructor Details

### StatementProxy

public StatementProxy(Object parent, String query)

## Method Details

### invoke

public Object invoke(Object proxy, Method method, Object[] args) throws Throwable

Specified by:
  `invoke` in interface `InvocationHandler`
Throws:
  `Throwable`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`